export declare const colors: {
    readonly dataviz: {
        readonly darkblue: {
            readonly default: "var(--amplify_dataviz_darkblue_default, rgba(0, 71, 153, 1))";
            readonly darker: "var(--amplify_dataviz_darkblue_darker, rgba(4, 48, 98, 1))";
            readonly lighter: "var(--amplify_dataviz_darkblue_lighter, rgba(191, 220, 252, 1))";
        };
        readonly lightblue: {
            readonly default: "var(--amplify_dataviz_lightblue_default, rgba(133, 208, 250, 1))";
            readonly darker: "var(--amplify_dataviz_lightblue_darker, rgba(35, 170, 246, 1))";
            readonly lighter: "var(--amplify_dataviz_lightblue_lighter, rgba(211, 238, 253, 1))";
        };
        readonly lightgreen: {
            readonly default: "var(--amplify_dataviz_lightgreen_default, rgba(10, 194, 154, 1))";
            readonly darker: "var(--amplify_dataviz_lightgreen_darker, rgba(8, 145, 115, 1))";
            readonly lighter: "var(--amplify_dataviz_lightgreen_lighter, rgba(220, 241, 236, 1))";
        };
        readonly darkgreen: {
            readonly default: "var(--amplify_dataviz_darkgreen_default, rgba(0, 102, 76, 1))";
            readonly darker: "var(--amplify_dataviz_darkgreen_darker, rgba(0, 61, 46, 1))";
            readonly lighter: "var(--amplify_dataviz_darkgreen_lighter, rgba(200, 237, 227, 1))";
        };
        readonly darkpink: {
            readonly default: "var(--amplify_dataviz_darkpink_default, rgba(169, 30, 88, 1))";
            readonly darker: "var(--amplify_dataviz_darkpink_darker, rgba(135, 18, 67, 1))";
            readonly lighter: "var(--amplify_dataviz_darkpink_lighter, rgba(252, 212, 229, 1))";
        };
        readonly lightpink: {
            readonly default: "var(--amplify_dataviz_lightpink_default, rgba(255, 128, 138, 1))";
            readonly darker: "var(--amplify_dataviz_lightpink_darker, rgba(225, 81, 93, 1))";
            readonly lighter: "var(--amplify_dataviz_lightpink_lighter, rgba(255, 219, 222, 1))";
        };
        readonly darkyellow: {
            readonly default: "var(--amplify_dataviz_darkyellow_default, rgba(160, 112, 28, 1))";
            readonly darker: "var(--amplify_dataviz_darkyellow_darker, rgba(121, 85, 21, 1))";
            readonly lighter: "var(--amplify_dataviz_darkyellow_lighter, rgba(244, 226, 195, 1))";
        };
        readonly lightyellow: {
            readonly default: "var(--amplify_dataviz_lightyellow_default, rgba(253, 203, 53, 1))";
            readonly darker: "var(--amplify_dataviz_lightyellow_darker, rgba(227, 171, 2, 1))";
            readonly lighter: "var(--amplify_dataviz_lightyellow_lighter, rgba(255, 240, 194, 1))";
        };
        readonly darkpurple: {
            readonly default: "var(--amplify_dataviz_darkpurple_default, rgba(147, 20, 219, 1))";
            readonly darker: "var(--amplify_dataviz_darkpurple_darker, rgba(97, 1, 152, 1))";
            readonly lighter: "var(--amplify_dataviz_darkpurple_lighter, rgba(232, 209, 246, 1))";
        };
        readonly lightpurple: {
            readonly default: "var(--amplify_dataviz_lightpurple_default, rgba(186, 153, 255, 1))";
            readonly darker: "var(--amplify_dataviz_lightpurple_darker, rgba(155, 89, 242, 1))";
            readonly lighter: "var(--amplify_dataviz_lightpurple_lighter, rgba(234, 224, 255, 1))";
        };
        readonly grey: {
            readonly darker: "var(--amplify_dataviz_grey_darker, rgba(86, 86, 86, 1))";
            readonly lighter: "var(--amplify_dataviz_grey_lighter,  rgba(194, 200, 204, 1))";
        };
    };
    readonly text: {
        static_icons__default: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        static_icons__secondary: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        static_icons__tertiary: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        static_icons__primary_white: {
            hex: string;
            hsla: string;
            rgba: string;
        };
    };
    readonly ui: {
        background__default: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__semitransparent: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__light: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__scrim: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__overlay: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__medium: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__info: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__warning: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        background__danger: {
            hex: string;
            hsla: string;
            rgba: string;
        };
    };
    readonly infographic: {
        substitute__purple_berry: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__pink_rose: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__pink_salmon: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__green_cucumber: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__green_succulent: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__green_mint: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__blue_ocean: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__blue_overcast: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        substitute__blue_sky: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__moss_green_100: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__moss_green_55: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__moss_green_34: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__moss_green_21: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__moss_green_13: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__energy_red_100: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__energy_red_55: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__energy_red_34: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__energy_red_21: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__energy_red_13: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__weathered_red: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__slate_blue: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__spruce_wood: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__mist_blue: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__lichen_green: {
            hex: string;
            hsla: string;
            rgba: string;
        };
    };
    readonly logo: {
        fill_positive: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        fill_negative: {
            hex: string;
            hsla: string;
            rgba: string;
        };
    };
    readonly interactive: {
        primary__selected_highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__selected_hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        primary__hover_alt: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        secondary__highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        secondary__resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        secondary__link_hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        danger__highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        danger__resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        danger__hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        danger__text: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        warning__highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        warning__resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        warning__hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        warning__text: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        success__highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        success__resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        success__hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        success__text: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__cell__fill_resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__cell__fill_hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__cell__fill_activated: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__header__fill_activated: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__header__fill_hover: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        table__header__fill_resting: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        disabled__text: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        text_highlight: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        focus: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        disabled__border: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        disabled__fill: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        link_on_interactive_colors: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        icon_on_interactive_colors: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        link_in_snackbars: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        pressed_overlay_dark: {
            hex: string;
            hsla: string;
            rgba: string;
        };
        pressed_overlay_light: {
            hex: string;
            hsla: string;
            rgba: string;
        };
    };
};
