import { AllowedColors } from './ApplicationIcon.utils';
import { AnimationState } from './ApplicationIcon.types';
interface AppIconContainerProps {
    $size: number;
    $color: AllowedColors;
    $animationState: AnimationState;
    $iconOnly: boolean;
}
export declare const AppIconContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, AppIconContainerProps>> & string;
export declare const IconContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
interface WaveInnerContainerProps {
    $color: AllowedColors;
    $rotationVariant: number;
}
export declare const WaveInnerContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, WaveInnerContainerProps>> & string;
export interface WavesProps {
    $animationState: AnimationState;
}
export declare const Waves: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, WavesProps>> & string;
interface WaveProps {
    $waveIntervalDist: number;
}
export declare const Wave: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, WaveProps>> & string;
export {};
