import { KeyboardEvent, MouseEvent, ReactNode } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface BaseChipProps {
    children: ReactNode;
    disabled?: boolean;
    onDelete?: (event: MouseEvent<HTMLButtonElement> | KeyboardEvent<HTMLButtonElement>) => void;
    variant?: 'default' | 'active' | 'warning' | 'warning-active' | 'error' | 'error-active';
    onClick?: (event: MouseEvent<HTMLButtonElement> | KeyboardEvent<HTMLButtonElement>) => void;
    leadingIconData?: IconData;
}
export declare const Chip: import("react").ForwardRefExoticComponent<BaseChipProps & import("react").RefAttributes<HTMLDivElement | HTMLButtonElement>>;
