import { Action } from './Action';
import { Description } from './Description';
import { Details } from './Details';
import { ErrorContentProps, ErrorPage as DefaultErrorPage } from './ErrorPage';
import { MissingAccesses } from './MissingAccesses';
import { Title } from './Title';
type ErrorPageType = typeof DefaultErrorPage & {
    Title: typeof Title;
    Description: typeof Description;
    Action: typeof Action;
    Details: typeof Details;
    MissingAccesses: typeof MissingAccesses;
};
export declare const ErrorPage: ErrorPageType;
export type { ErrorContentProps };
