import { ButtonProps } from '@equinor/eds-core-react';
export declare const MenuItemContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
interface CreateButtonProps extends ButtonProps {
    $open?: boolean;
}
export declare const CreateButton: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<{
    as?: import("react").ElementType | undefined;
} & {
    color?: "primary" | "secondary" | "danger";
    variant?: "ghost_icon" | "contained" | "contained_icon" | "outlined" | "ghost";
    href?: string;
    disabled?: boolean;
    type?: string;
    fullWidth?: boolean;
} & import("react").ButtonHTMLAttributes<HTMLButtonElement> & Omit<any, "href" | keyof import("react").ButtonHTMLAttributes<HTMLButtonElement> | "variant" | "fullWidth">, CreateButtonProps>> & string & Omit<import("@equinor/eds-utils").OverridableComponent<ButtonProps, HTMLButtonElement> & {
    Group: typeof import("@equinor/eds-core-react/dist/types/components/Button/ButtonGroup").ButtonGroup;
    Toggle: typeof import("@equinor/eds-core-react/dist/types/components/Button/ToggleButton/ToggleButton").ToggleButton;
}, keyof import("react").Component<any, {}, any>>;
export {};
