import React, { ReactNode } from 'react';
import { EnvironmentType } from '../../atoms/enums/Environment';
import { Field } from '../../atoms/types/Field';
export declare const TopBar: React.ForwardRefExoticComponent<{
    onHeaderClick: () => void;
    applicationIcon: string;
    applicationName: string;
    environment?: EnvironmentType;
    isFetching?: boolean;
    capitalize?: boolean;
    children: ReactNode;
    availableFields?: Field[];
    onSelectField?: (selectedField: Field) => void;
    currentField?: Field;
    showAccessITLink?: boolean;
} & React.HTMLAttributes<HTMLElement> & React.RefAttributes<HTMLDivElement>>;
