export declare const LAST_UPDATED_KEY_SUFFIX = "-last-updated";
export declare const getLocalStorage: <T>(key: string, defaultState: T, keepAliveMs?: number) => T;
export declare const updateLocalStorage: <T>(key: string, state: T) => void;
export declare const useLocalStorage: <T>(key: string, defaultState: T, keepAliveMs?: number) => readonly [T, import("react").Dispatch<import("react").SetStateAction<T>>, () => void];
