import { FC } from 'react';
export type ApplicationName = 'amplify' | 'embark' | 'bravos' | 'inpress' | 'premo' | 'dasha' | 'orca' | 'acquire' | 'pwex' | 'ltg' | 'equinor';
export interface ApplicationIconProps {
    name: ApplicationName | string;
    size?: number;
    animationState?: 'none' | 'hoverable' | 'animated' | 'loading';
    iconOnly?: boolean;
}
export declare const ApplicationIcon: FC<ApplicationIconProps>;
