import{tokens as r}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{colors as e}from"../../atoms/style/colors.js";import o,{css as i}from"styled-components";const a={default:{color:`${e.interactive.primary__resting.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.ui.background__medium.rgba}`,hover:{background:`${e.interactive.primary__hover_alt.rgba}`,color:`${e.interactive.primary__hover.rgba}`,borderColor:`${e.interactive.primary__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}},active:{color:`${e.interactive.primary__resting.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.primary__selected_hover.rgba}`,hover:{color:`${e.interactive.primary__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.primary__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}},warning:{color:`${e.interactive.warning__text.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.interactive.warning__resting.rgba}`,hover:{color:`${e.interactive.warning__hover.rgba}`,background:`${e.ui.background__warning.rgba}`,borderColor:`${e.interactive.warning__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}},"warning-active":{color:`${e.interactive.warning__text.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.warning__resting.rgba}`,hover:{color:`${e.interactive.warning__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.warning__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.warning__highlight.rgba}`}},error:{color:`${e.interactive.danger__text.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.interactive.danger__resting.rgba}`,hover:{color:`${e.interactive.danger__hover.rgba}`,background:`${e.ui.background__danger.rgba}`,borderColor:`${e.interactive.danger__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}},"error-active":{color:`${e.interactive.danger__text.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.danger__resting.rgba}`,hover:{color:`${e.interactive.danger__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.danger__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.danger__highlight.rgba}`}}},t=i`
  outline: 1px solid ${e.ui.background__medium.rgba};
  cursor: pointer;
  display: flex;
  width: fit-content;
  border-radius: ${r.shape.rounded.borderRadius};
  font-family: 'Equinor', sans-serif;
  font-weight: 500;
  font-size: ${r.typography.ui.chip__badge.fontSize};
  line-height: 16px;
  text-align: center;
  transition:
    background-color 150ms ease,
    outline 150ms ease,
    color 150ms ease;
  padding: ${r.spacings.comfortable.x_small};
  box-sizing: content-box;

  .content {
    padding: 0 ${r.spacings.comfortable.small};
    display: flex;
    align-items: center;
    gap: ${r.spacings.comfortable.x_small};

    .leading {
      display: flex;
      align-items: center;
    }
    .leading * {
      width: 16px;
      height: 16px;
    }
  }
`,d=o.button`
  ${t}

  ${({variant:r})=>{const e=((r="default")=>a[r])(r);return i`
      color: ${e.color};
      background-color: ${e.background};
      outline: 1px solid ${e.borderColor};

      &:hover {
        background-color: ${e.hover.background};
        color: ${e.hover.color};
        outline: 1px solid ${e.hover.borderColor};
      }
      &:disabled {
        color: ${e.disabled?.color};
        background-color: ${e.disabled?.background};
        outline: 1px solid ${e.disabled?.borderColor};
        cursor: not-allowed;

        &:hover {
          outline: 1px solid ${e.disabled?.borderColor};
        }
      }
    `}};
`,n=o.div`
  ${t}
  cursor: unset;
  ${r=>r.disabled?i`
          &.disabled {
            background-color: ${e.interactive.disabled__fill.rgba};
            color: ${e.interactive.disabled__text.rgba};
            outline: 1px solid ${e.interactive.disabled__border.rgba};
            cursor: not-allowed;
          }
        `:i`
          background-color: ${e.ui.background__light.rgba};
          color: ${e.text.static_icons__default.rgba};
          outline: 1px solid ${e.ui.background__medium.rgba};
        `}
`;export{d as InteractiveChipStyle,n as ReadOnlyChipStyle};
