import{jsxs as e,jsx as t}from"react/jsx-runtime";import{useState as r,useCallback as n,useMemo as i}from"react";import{Icon as o}from"@equinor/eds-core-react";import{chevron_up as a,chevron_down as s}from"@equinor/eds-icons";import{tokens as l}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{colors as d}from"../../atoms/style/colors.js";import{spacings as m}from"../../atoms/style/spacings.js";import{SkeletonBase as c}from"../Skeleton/SkeletonBase/SkeletonBase.js";import u from"styled-components";const{shape:f}=l,p=u.div`
  display: flex;
  flex-direction: column;
  gap: ${m.small};
`,g=u.button`
  display: flex;
  align-items: center;
  gap: ${m.xx_small};
  color: ${d.text.static_icons__default.rgba};
  border: none;
  border-radius: ${f.corners.borderRadius};
  min-width: 150px;
  width: fit-content;
  padding: ${m.medium_small} ${m.medium};
  text-align: left;
  background: ${e=>e.$active?d.interactive.primary__hover_alt.rgba:"none"};
  transition: background 150ms;
  &:hover {
    background: ${d.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,b=u.button`
  display: flex;
  align-items: center;
  gap: ${m.xx_small};
  color: ${d.text.static_icons__default.rgba};
  border: none;
  margin-left: ${m.medium_small};
  border-radius: ${f.corners.borderRadius};
  min-width: calc(150px - ${m.medium_small});
  width: fit-content;
  padding: ${m.medium_small} ${m.medium};
  text-align: left;
  background: ${e=>e.$active?d.interactive.primary__hover_alt.rgba:"none"};
  transition: background 400ms;
  &:hover {
    background: ${d.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,h=u(c)`
  border: none;
  border-radius: ${f.corners.borderRadius};
  width: 150px;
  height: 1rem;
  padding: ${m.medium_small} 0;
`,$=({items:l,value:d,onChange:m,isLoading:c=!1})=>{const[u,f]=r([]),$=n(((e,t)=>{if(t){const t=u.findIndex((t=>t===e));f(t>=0?t=>t.filter((t=>t!==e)):t=>[...t,e])}m(e)}),[m,u]),_=i((()=>{const r=[];for(const n of l)if(r.push(e(g,{$active:d===n.value,onClick:()=>$(n.value,!!n.children),children:[n.children&&t(o,{data:u.includes(n.value)?a:s}),n.label]},`content-menu-item-${n.label}`)),n.children&&u.includes(n.value))for(const e of n.children)r.push(t(b,{$active:d===e.value,onClick:()=>$(e.value,!1),children:e.label},`content-menu-item-${e.label}`));return r}),[$,l,u,d]);return t(p,c?{"data-testid":"content-menu-container",children:new Array(5).fill(0).map(((e,r)=>t(h,{$offset:100*r},`content-menu-item-skeleton-${e+r}`)))}:{"data-testid":"content-menu-container",children:_})};export{$ as ContentMenu};
