import{Button as r,Menu as e,Typography as t}from"@equinor/eds-core-react";export{Button}from"@equinor/eds-core-react";import{colors as a}from"../../atoms/style/colors.js";import{spacings as o}from"../../atoms/style/spacings.js";import{Chip as i}from"../Chip/Chip.js";import n from"styled-components";const s={warning:a.interactive.warning__resting.rgba,error:a.interactive.danger__resting.rgba,success:a.interactive.success__resting.rgba,dirty:a.dataviz.darkblue.darker},l=n.div`
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 6px 8px;

  ${({$variant:r})=>r?`box-shadow: inset 0 -2px 0 0 ${s[r]}`:`box-shadow: inset 0 -1px 0 0 ${a.text.static_icons__tertiary.rgba}`};

  ${({$lightBackground:r})=>r?`background-color: ${a.ui.background__default.rgba}`:`background-color: ${a.ui.background__light.rgba}`};

  &[aria-expanded='true'] {
    box-shadow: inset 0 -2px 0 0 ${a.interactive.primary__resting.rgba};
  }

  ${({$shouldShowTopMargin:r})=>r&&"margin-top: 1rem;"};

  > label {
    left: 0;
    right: 0;
    position: absolute;
    top: -1rem;
  }

  > svg[role='progressbar'] {
    overflow: unset;
  }
  > svg:not([role='progressbar']) {
    cursor: pointer;
    &:hover {
      background: ${a.interactive.primary__hover_alt.rgba};
      border-radius: 50%;
    }
  }

  &:has(input:disabled) {
    cursor: not-allowed;
    box-shadow: none;
    > svg:not([role='progressbar']) {
      cursor: not-allowed;
      fill: ${a.interactive.disabled__text.rgba};
      &:hover {
        background: transparent;
      }
    }
    > label {
      color: ${a.interactive.disabled__text.rgba};
    }
  }
`,c=n.section`
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: ${o.x_small};
  min-height: 24px;
  input[type='search'] {
    background: transparent;
    width: 0;
    flex-grow: 1;
    padding: 0;
    font-family: 'Equinor', sans-serif;
    color: ${a.text.static_icons__default.rgba};
    outline: none;
    border: none;
  }
  input[type='search']:disabled {
    cursor: not-allowed;
  }
  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    appearance: none;
  }
  &:has(input:disabled) {
    > p {
      color: ${a.interactive.disabled__text.rgba};
    }
    > .amplify-combo-box-chip {
      cursor: not-allowed;
      background: ${a.interactive.disabled__fill.rgba};
      color: ${a.interactive.disabled__text.rgba};
      > svg {
        fill: ${a.interactive.disabled__text.rgba};
        &:hover {
          cursor: not-allowed;
          background: none;
        }
      }
    }
  }
`,d=n(r)`
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  right: 26px;
  width: 24px;
  height: 24px;
  svg {
    fill: ${a.text.static_icons__secondary.rgba};
  }
  &:after {
    width: 24px;
    height: 24px;
    left: 0;
  }
`,g=n(i)`
  background: ${({$tryingToRemove:r,$lightBackground:e})=>r?a.interactive.primary__hover_alt.rgba:e?a.ui.background__light.rgba:a.ui.background__default.rgba} !important;
`,p=n(e.Item)`
  flex-grow: 1;
  border-radius: 2px;
  ${({$paddedLeft:r})=>r&&"margin-left: 36px"};
  padding-left: 10px;

  &:focus {
    outline: none;
  }

  &:focus-visible {
    background: ${a.interactive.primary__hover_alt.rgba};
  }

  /* Hide any background change on hover since we set focus on hover now */
  &:hover {
    background: ${a.interactive.primary__hover_alt.rgba};
    background: transparent;
  }

  &:focus-visible {
    background: ${a.interactive.primary__hover_alt.rgba};
  }
`,b=n.hr`
  height: calc(100% + ${o.medium} * 2);
  justify-self: center;
  width: ${o.x_large};
`,u=n(t)`
  position: absolute;
  color: ${a.text.static_icons__tertiary.rgba};
  top: calc(50%);
  transform: translate(0, -50%);
`,_=n(u)`
  color: ${a.text.static_icons__default.rgba};
`,h=n(t)`
  margin-left: ${o.medium};
`,m=n(e)`
  max-height: 20rem;
  overflow: auto;
`,v=n.div`
  display: flex;
  align-items: center;
  padding: 0 ${o.small};
`,x=n(r)`
  width: 36px;
  height: 36px;
`;export{d as ClearButton,l as Container,b as MenuItemSpacer,v as MenuItemWrapper,h as NoItemsFoundText,u as PlaceholderText,c as Section,x as SmallButton,g as StyledChip,m as StyledMenu,p as StyledMenuItem,s as VARIANT_COLORS,_ as ValueText};
